{$mode objfpc}{$R+}
var
  N, x, y, xx, yy, x0, y0, w, h: Integer;

  function RR(v: Integer; const r: array of Integer): Boolean;
  begin
    if High(r) = 0 then
      Result := r[0] = v
    else
      Result := (r[0] <= v) and (v <= r[1]);
  end;

  function R(const yr, xr: array of Integer): Boolean;
  begin
    Result := RR(x, xr) and RR(y, yr);
  end;

begin
  AssignFile(input, 'input.txt'); Reset(input);
  AssignFile(output, 'output.txt'); Rewrite(output);
  Read(N, x0, y0, w, h);
  for yy := 1 to h do begin
    for xx := 1 to w do begin
      x := (x0 + xx - 1) mod (4 * N);
      y := (y0 + yy - 1) mod (2 * N);
      if
        R([0], [0, N - 1]) or R([N], [2 * N, 3 * N - 1])
      then
        Write('_')
      else if
        R([0], [4 * N - 1]) or R([1, N], [y + N - 1]) or R([N + 1, 2 * N - 1], [y + 2 * N - 1])
      then
        Write('\')
      else if
        R([0], [N]) or R([1, N], [4 * N - y]) or R([N + 1, 2 * N - 1], [3 * N - y])
      then
        Write('/')
      else
        Write('.');
    end;
    Writeln;
  end;
end.
